## reuse 0.14.0

=== Makefile ===
# SPDX-FileCopyrightText: 2017 Free Software Foundation Europe e.V. <https://fsfe.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

.DEFAULT_GOAL := help

.PHONY: help
help: ## show this help message
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

.PHONY: clean
clean: clean-build clean-pyc clean-test clean-docs ## remove all build, test, coverage and Python artifacts

.PHONY: clean-build
clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .cache/
	rm -fr .eggs/
	rm -fr pip-wheel-metadata/
	find ./po -name '*.mo' -exec rm -f {} +
	find ./po -name '*.pot' -exec rm -f {} +
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -fr {} +

.PHONY: clean-pyc
clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

.PHONY: clean-test
clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache/

.PHONY: clean-docs
clean-docs: ## remove docs build artifacts
	-$(MAKE) -C docs clean
	rm -fr docs/api/
	rm -f docs/*.md

.PHONY: lint
lint: ## check with pylint
	pylint src/reuse tests/*.py

.PHONY: blackcheck
blackcheck: ## check with black
	black --check .
	isort --check src/ tests/ *.py

.PHONY: black
black: ## format with black
	isort src/ tests/ *.py
	black .

.PHONY: reuse
reuse: dist ## check with self
	reuse lint
	tar -xf dist/reuse*.tar.gz -C dist/
	# This prevents the linter from using the project root as root.
	git init dist/reuse*/
	cd dist/reuse*/; reuse lint

.PHONY: test
test: ## run tests quickly
	py.test

.PHONY: coverage
coverage: ## check code coverage quickly
	py.test --cov-report term-missing --cov=src/reuse

.PHONY: docs
docs: ## generate Sphinx HTML documentation, including API docs
	$(MAKE) -C docs html

.PHONY: tox
tox: ## run all tests against multiple versions of Python
	tox

.PHONY: dist
dist: clean-build clean-pyc clean-docs ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

.PHONY: create-pot
create-pot:  ## generate .pot file
	xgettext --add-comments --from-code=utf-8 --output=po/reuse.pot --files-from=po/POTFILES.in
	xgettext --add-comments --output=po/argparse.pot /usr/lib*/python3*/argparse.py
	msgcat --output=po/reuse.pot po/reuse.pot po/argparse.pot

.PHONY: update-po-files
update-po-files: create-pot  ## update .po files
	find ./po -name "*.po" -exec msgmerge --width=79 --output={} {} po/reuse.pot \;

.PHONY: test-release
test-release: dist  ## package and upload to testpypi
	twine upload --sign -r testpypi dist/*

.PHONY: release
release: dist  ## package and upload a release
	twine upload --sign -r pypi dist/*

.PHONY: install-requirements
install-requirements:  ## install requirements
	pip install -r requirements.txt

.PHONY: install-dev-requirements
install-dev-requirements: install-requirements  ## install dev requirements
	pip install -r requirements-dev.txt

.PHONY: uninstall
uninstall:  ## uninstall reuse
	-pip uninstall -y reuse

.PHONY: install
install: uninstall install-requirements  ## install reuse
	python setup.py install

.PHONY: update-resources
update-resources:  ## update spdx data files
	curl https://raw.githubusercontent.com/spdx/license-list-data/master/json/licenses.json \
		> src/reuse/resources/licenses.json
	curl https://raw.githubusercontent.com/spdx/license-list-data/master/json/exceptions.json \
		> src/reuse/resources/exceptions.json

.PHONY: develop
develop: uninstall install-dev-requirements  ## install source directory
	pre-commit install
	python setup.py develop

=== requirements.txt ===
# SPDX-FileCopyrightText: 2017 Free Software Foundation Europe e.V. <https://fsfe.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

binaryornot==0.4.4
boolean.py==3.8
Jinja2==2.11.3
license-expression==21.6.14
python-debian==0.1.38
requests==2.26.0

setuptools==58.3.0
setuptools-scm==6.3.2

=== docs/Makefile ===
# SPDX-FileCopyrightText: 2017 Free Software Foundation Europe e.V. <https://fsfe.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = reuse
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
reuse (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0
  * Upload to unstable

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 06 Jan 2022 23:39:23 +0100

reuse (0.13.0+git2021110.4ce4c5f-1) experimental; urgency=medium

  * New upstream snapshot 0.13.0+git2021110.4ce4c5f
  * add autopkgtest

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 09 Dec 2021 23:11:45 +0100

reuse (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * Update standards version to 4.6.0.1, no changes needed
  * Upload to unstable

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 13 Oct 2021 14:01:42 +0200

reuse (0.12.1-1) experimental; urgency=medium

  * Initial release. (Closes: #974696)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 31 Mar 2021 10:43:28 +0200

=== debian/control ===
Source: reuse
Section: devel
Priority: optional
Maintainer: Stephan Lachnit <stephanlachnit@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-binaryornot,
 python3-boolean,
 python3-jinja2,
 python3-debian,
 python3-license-expression,
 python3-requests,
 python3-setuptools,
 python3-setuptools-scm,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: https://reuse.software/
Vcs-Browser: https://salsa.debian.org/debian/reuse
Vcs-Git: https://salsa.debian.org/debian/reuse.git

Package: reuse
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-binaryornot,
 python3-boolean,
 python3-jinja2,
 python3-debian,
 python3-license-expression,
 python3-requests,
Description: tool for REUSE copyright and license recommendations
 Managing copyright and licensing is difficult, especially when reusing
 software from different projects that are released under various different
 licenses. REUSE was started by the Free Software Foundation Europe (FSFE) to
 provide a set of recommendations to make licensing your Free Software projects
 easier. Not only do these recommendations make it easier for you to declare
 the licenses under which your works are released, but they also make it easier
 for a computer to understand how your project is licensed.
 .
 This package contains a tool for checking and helping with compliance with the
 REUSE recommendations.

=== debian/tests/control ===
Tests: selflint
Depends: @, python3-all
Restrictions: allow-stderr

## reuse 1.0.0

=== debian/changelog ===
reuse (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Fri, 27 May 2022 09:43:29 +0200

## reuse 1.1.2

=== Makefile ===
# SPDX-FileCopyrightText: 2017 Free Software Foundation Europe e.V. <https://fsfe.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

.DEFAULT_GOAL := help

.PHONY: help
help: ## show this help message
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

.PHONY: clean
clean: clean-build clean-pyc clean-test clean-docs ## remove all build, test, coverage and Python artifacts

.PHONY: clean-build
clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .cache/
	rm -fr .eggs/
	rm -fr pip-wheel-metadata/
	find . -name '*.mo' -exec rm -f {} +
	find ./po -name '*.pot' -exec rm -f {} +
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -fr {} +

.PHONY: clean-pyc
clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

.PHONY: clean-test
clean-test: ## remove test and coverage artifacts
	rm -f .coverage*
	rm -fr htmlcov/
	rm -fr .pytest_cache/

.PHONY: clean-docs
clean-docs: ## remove docs build artifacts
	-$(MAKE) -C docs clean
	rm -fr docs/api/
	rm -f docs/*.md

.PHONY: reuse
reuse: dist ## check with self
	poetry run reuse lint
	tar -xf dist/reuse*.tar.gz -C dist/
	# This prevents the linter from using the project root as root.
	git init dist/reuse*/
	poetry run reuse --root dist/reuse*/ lint

.PHONY: docs
docs: ## generate Sphinx HTML documentation, including API docs
	$(MAKE) -C docs html

.PHONY: dist
dist: clean-build clean-pyc clean-docs ## builds source and wheel package
	poetry build
	ls -l dist

.PHONY: create-pot
create-pot:  ## generate .pot file
	xgettext --add-comments --from-code=utf-8 --output=po/reuse.pot --files-from=po/POTFILES.in
	xgettext --add-comments --output=po/argparse.pot /usr/lib*/python3*/argparse.py
	msgcat --output=po/reuse.pot po/reuse.pot po/argparse.pot

.PHONY: update-po-files
update-po-files: create-pot  ## update .po files
	find ./po -name "*.po" -exec msgmerge --width=79 --output={} {} po/reuse.pot \;

.PHONY: test-release
test-release: ## package and upload to testpypi
	poetry config repositories.test-pypi https://test.pypi.org/legacy/
	# You may need to use `poetry config pypi-token.test-pypi pypi-YYYYYYYY`
	poetry publish --build -r test-pypi

.PHONY: release
release: ## package and upload a release
	# You may need to use `poetry config pypi-token.pypi pypi-YYYYYYYY`
	poetry publish --build

.PHONY: update-resources
update-resources: ## update spdx data files
	python .github/workflows/license_list_up_to_date.py --download

=== docs/Makefile ===
--- 
+++ 
@@ -11,11 +11,11 @@
 
 # Put it first so that "make" without argument is like "make help".
 help:
-	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
+	@poetry run $(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
 
 .PHONY: help Makefile
 
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
 %: Makefile
-	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
+	@poetry run $(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
reuse (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 09 Feb 2023 19:21:35 +0100

reuse (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1

 -- Stephan Lachnit <stephanlachnit@debian.org>  Mon, 06 Feb 2023 08:56:02 +0100

reuse (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Update standards version to 4.6.1, no changes needed

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 08 Jan 2023 15:10:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,19 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-binaryornot,
  python3-boolean,
  python3-jinja2,
  python3-debian,
  python3-license-expression,
+ python3-poetry-core,
  python3-requests,
  python3-setuptools,
  python3-setuptools-scm,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://reuse.software/
 Vcs-Browser: https://salsa.debian.org/debian/reuse
 Vcs-Git: https://salsa.debian.org/debian/reuse.git

=== debian/tests/control ===
Tests: selflint
Depends: @
Restrictions: allow-stderr

## reuse 2.1.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 # SPDX-FileCopyrightText: 2017 Free Software Foundation Europe e.V. <https://fsfe.org>
+# SPDX-FileCopyrightText: 2023 DB Systel GmbH
+# SPDX-FileCopyrightText: 2023 Carmen Bianca BAKKER <carmenbianca@fsfe.org>
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 
@@ -19,7 +21,6 @@
 	rm -fr .eggs/
 	rm -fr pip-wheel-metadata/
 	find . -name '*.mo' -exec rm -f {} +
-	find ./po -name '*.pot' -exec rm -f {} +
 	find . -name '*.egg-info' -exec rm -fr {} +
 	find . -name '*.egg' -exec rm -fr {} +
 
@@ -50,8 +51,17 @@
 	git init dist/reuse*/
 	poetry run reuse --root dist/reuse*/ lint
 
+.PHONY: lint-third-party
+lint-third-party: ## Lint selected third-party repositories to compare with expected output
+	poetry run python3 .github/workflows/third_party_lint.py --defaults --json
+
 .PHONY: docs
 docs: ## generate Sphinx HTML documentation, including API docs
+	poetry export --with docs --without-hashes >docs/requirements.txt
+	$(MAKE) -C docs html
+
+.PHONY: docs-ci
+docs-ci: ## generate Sphinx HTML documentation, including API docs without dependency file generation (for CI)
 	$(MAKE) -C docs html
 
 .PHONY: dist
@@ -64,6 +74,9 @@
 	xgettext --add-comments --from-code=utf-8 --output=po/reuse.pot --files-from=po/POTFILES.in
 	xgettext --add-comments --output=po/argparse.pot /usr/lib*/python3*/argparse.py
 	msgcat --output=po/reuse.pot po/reuse.pot po/argparse.pot
+	for name in po/*.po; do \
+		msgmerge --output=$${name} $${name} po/reuse.pot; \
+	done
 
 .PHONY: update-po-files
 update-po-files: create-pot  ## update .po files

=== docs/requirements.txt ===
alabaster==0.7.13 ; python_version >= "3.8" and python_version < "4.0"
babel==2.12.1 ; python_version >= "3.8" and python_version < "4.0"
beautifulsoup4==4.12.2 ; python_version >= "3.8" and python_version < "4.0"
binaryornot==0.4.4 ; python_version >= "3.8" and python_version < "4.0"
boolean-py==4.0 ; python_version >= "3.8" and python_version < "4.0"
certifi==2023.5.7 ; python_version >= "3.8" and python_version < "4.0"
chardet==5.1.0 ; python_version >= "3.8" and python_version < "4.0"
charset-normalizer==3.1.0 ; python_version >= "3.8" and python_version < "4.0"
colorama==0.4.6 ; python_version >= "3.8" and python_version < "4.0" and sys_platform == "win32"
commonmark==0.9.1 ; python_version >= "3.8" and python_version < "4.0"
docutils==0.20.1 ; python_version >= "3.8" and python_version < "4.0"
furo==2023.5.20 ; python_version >= "3.8" and python_version < "4.0"
idna==3.4 ; python_version >= "3.8" and python_version < "4.0"
imagesize==1.4.1 ; python_version >= "3.8" and python_version < "4.0"
importlib-metadata==6.7.0 ; python_version >= "3.8" and python_version < "3.10"
jinja2==3.1.2 ; python_version >= "3.8" and python_version < "4.0"
license-expression==30.1.1 ; python_version >= "3.8" and python_version < "4.0"
markupsafe==2.1.3 ; python_version >= "3.8" and python_version < "4.0"
packaging==23.1 ; python_version >= "3.8" and python_version < "4.0"
pbr==5.11.1 ; python_version >= "3.8" and python_version < "4.0"
pygments==2.15.1 ; python_version >= "3.8" and python_version < "4.0"
python-debian==0.1.49 ; python_version >= "3.8" and python_version < "4.0"
pytz==2023.3 ; python_version >= "3.8" and python_version < "3.9"
recommonmark==0.7.1 ; python_version >= "3.8" and python_version < "4.0"
requests==2.31.0 ; python_version >= "3.8" and python_version < "4.0"
snowballstemmer==2.2.0 ; python_version >= "3.8" and python_version < "4.0"
soupsieve==2.4.1 ; python_version >= "3.8" and python_version < "4.0"
sphinx-autodoc-typehints==1.23.2 ; python_version >= "3.8" and python_version < "4.0"
sphinx-basic-ng==1.0.0b1 ; python_version >= "3.8" and python_version < "4.0"
sphinx==7.0.1 ; python_version >= "3.8" and python_version < "4.0"
sphinxcontrib-apidoc==0.3.0 ; python_version >= "3.8" and python_version < "4.0"
sphinxcontrib-applehelp==1.0.4 ; python_version >= "3.8" and python_version < "4.0"
sphinxcontrib-devhelp==1.0.2 ; python_version >= "3.8" and python_version < "4.0"
sphinxcontrib-htmlhelp==2.0.1 ; python_version >= "3.8" and python_version < "4.0"
sphinxcontrib-jsmath==1.0.1 ; python_version >= "3.8" and python_version < "4.0"
sphinxcontrib-qthelp==1.0.3 ; python_version >= "3.8" and python_version < "4.0"
sphinxcontrib-serializinghtml==1.1.5 ; python_version >= "3.8" and python_version < "4.0"
urllib3==2.0.3 ; python_version >= "3.8" and python_version < "4.0"
zipp==3.15.0 ; python_version >= "3.8" and python_version < "3.10"

=== debian/changelog ===
reuse (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 29 Oct 2023 11:13:52 +0100

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,6 @@
  python3-debian,
  python3-license-expression,
  python3-poetry-core,
- python3-requests,
- python3-setuptools,
- python3-setuptools-scm,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://reuse.software/
@@ -27,12 +24,6 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- python3-binaryornot,
- python3-boolean,
- python3-jinja2,
- python3-debian,
- python3-license-expression,
- python3-requests,
 Description: tool for REUSE copyright and license recommendations
  Managing copyright and licensing is difficult, especially when reusing
  software from different projects that are released under various different

=== debian/watch ===
version=4
https://github.com/fsfe/reuse-tool/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## reuse 3.0.1

=== debian/changelog ===
reuse (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 12 Mar 2024 22:18:37 +0100

## reuse 4.0.3

=== debian/changelog ===
reuse (4.0.3-1) unstable; urgency=medium

  * New upstream version 4.0.3 (Closes: #1072216)
  * Update standards version to 4.6.1, no changes needed

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 08 Aug 2024 10:35:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,16 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-poetry-core,
+ python3-attr,
  python3-binaryornot,
  python3-boolean,
  python3-jinja2,
  python3-debian,
  python3-license-expression,
- python3-poetry-core,
+ python3-tomlkit,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://reuse.software/
 Vcs-Browser: https://salsa.debian.org/debian/reuse
 Vcs-Git: https://salsa.debian.org/debian/reuse.git

## reuse 5.0.2

=== Makefile ===
--- 
+++ 
@@ -56,13 +56,8 @@
 	poetry run python3 .github/workflows/third_party_lint.py --defaults --json
 
 .PHONY: docs
-docs: ## generate Sphinx HTML documentation, including API docs
-	poetry export --with docs --without-hashes >docs/requirements.txt
-	$(MAKE) -C docs html
-
-.PHONY: docs-ci
-docs-ci: ## generate Sphinx HTML documentation, including API docs without dependency file generation (for CI)
-	$(MAKE) -C docs html
+docs: clean-docs ## generate Sphinx HTML documentation, including API docs
+	$(MAKE) -C docs html man
 
 .PHONY: dist
 dist: clean-build clean-pyc clean-docs ## builds source and wheel package
@@ -71,9 +66,9 @@
 
 .PHONY: create-pot
 create-pot:  ## generate .pot file
-	xgettext --add-comments --from-code=utf-8 --output=po/reuse.pot --files-from=po/POTFILES.in
-	xgettext --add-comments --output=po/argparse.pot /usr/lib*/python3*/argparse.py
-	msgcat --output=po/reuse.pot po/reuse.pot po/argparse.pot
+	xgettext --add-comments --from-code=utf-8 --output=po/reuse.pot src/reuse/**/*.py
+	xgettext --add-comments --output=po/click.pot "${VIRTUAL_ENV}"/lib/python*/*-packages/click/**.py
+	msgcat --output=po/reuse.pot po/reuse.pot po/click.pot
 	for name in po/*.po; do \
 		msgmerge --output=$${name} $${name} po/reuse.pot; \
 	done

=== docs/Makefile ===
--- 
+++ 
@@ -3,9 +3,8 @@
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
-SPHINXPROJ    = reuse
+SPHINXOPTS    ?=
+SPHINXBUILD   ?= sphinx-build
 SOURCEDIR     = .
 BUILDDIR      = _build

=== debian/changelog ===
reuse (5.0.2-1) unstable; urgency=medium

  * New upstream version 5.0.2

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sat, 16 Nov 2024 16:24:09 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  python3-all,
  python3-poetry-core,
  python3-attr,
+ python3-click,
  python3-binaryornot,
  python3-boolean,
  python3-jinja2,
